Incorrect friend's online\offline status
Closed, ResolvedPublic

Description

What is happening:
A friend in a friend list is marked as offline even when he is actually online and we are in the same party playing together.

What should be happening:
Friend's online\offline status should represents the real situation.

Steps to reproduce the issue:
Make a friend. Join the server oneday, see him offline, and then meet him in the chat even though he is supposed to be offline. Create a party with named friend. He will stay offline even though his status in a party members list will be Online.

Game client version:
0.1.1

Reproduced by:
Fess, digitalchilling

Reproduced on:
Windows 10 64-bit, Linux/GNU 64

Screenshots:
http://www.mediafire.com/view/gjokh76k57wp76v/Friend_online_status.png

Fess created this task.Dec 16 2016, 2:10 PM
Yuu added a subscriber: Yuu.EditedJan 15 2017, 1:49 AM

Bug still in effect as of version 0.1.3.1 on Linux x86 and x64.

Same for me on 0.1.3.1 and Windows 7 Ultimate 32-bit SP1.

Xiron added a subscriber: Xiron.Jan 15 2017, 1:57 AM

I got this bug today. Extra notes? I had the "Add friend" option available for the ponies I'm already friends with. I can also say that after pressing the "add friend" button the other player never got an invite, and suddenly we appeared online on each others lists.

OS: Windows 7, x64
Game build: 0.1.3.1

Fess updated the task description. (Show Details)Jan 24 2017, 7:20 AM
McClaw added a subscriber: McClaw.Feb 8 2017, 12:33 AM

Happened recently for me, too.
OS: Windows 10, x64
Launcher 0.3, game build 0.1.3.1

Rattletrap closed this task as Resolved.May 9 2017, 5:22 AM
Rattletrap added a subscriber: Rattletrap.

This issue has been fixed as of version v.0.1.6.